org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTFILETRANSFERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTFILETRANSFERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTFILETRANSFERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTFILETRANSFERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTFILETRANSFERNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTFILETRANSFERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindAsynchronousuploadurl(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindCreatedirectories(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindDarkupload(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindFileextensions(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindImagereduction(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindOnerequestperfile(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindScanduration(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindSeparatebackupdirectories(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindTransferbackupdirectory(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `bindTransferdirectory(IDynamicContentBindingObject value)`
    `CLIENTFILETRANSFERNode` | `setActionListener(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setAsynchronousuploadurl(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setComment(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setCreatedirectories(boolean value)`
    `CLIENTFILETRANSFERNode` | `setCreatedirectories(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setDarkupload(boolean value)`
    `CLIENTFILETRANSFERNode` | `setDarkupload(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setFileextensions(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setId(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setImagereduction(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setOnerequestperfile(boolean value)`
    `CLIENTFILETRANSFERNode` | `setOnerequestperfile(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setReference(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setRendered(boolean value)`
    `CLIENTFILETRANSFERNode` | `setRendered(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setScanduration(int value)`
    `CLIENTFILETRANSFERNode` | `setScanduration(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setSeparatebackupdirectories(boolean value)`
    `CLIENTFILETRANSFERNode` | `setSeparatebackupdirectories(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setStylevariant(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setTransferbackupdirectory(java.lang.String value)`
    `CLIENTFILETRANSFERNode` | `setTransferdirectory(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTFILETRANSFERNode

          public CLIENTFILETRANSFERNode()

  - ### Method Detail

    - #### setId

          public CLIENTFILETRANSFERNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTFILETRANSFERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTFILETRANSFERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTFILETRANSFERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTFILETRANSFERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAsynchronousuploadurl

          public CLIENTFILETRANSFERNode setAsynchronousuploadurl(java.lang.String value)

    - #### bindAsynchronousuploadurl

          public CLIENTFILETRANSFERNode bindAsynchronousuploadurl(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTFILETRANSFERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public CLIENTFILETRANSFERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTFILETRANSFERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTFILETRANSFERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTFILETRANSFERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCreatedirectories

          public CLIENTFILETRANSFERNode setCreatedirectories(java.lang.String value)

    - #### bindCreatedirectories

          public CLIENTFILETRANSFERNode bindCreatedirectories(IDynamicContentBindingObject value)

    - #### setCreatedirectories

          public CLIENTFILETRANSFERNode setCreatedirectories(boolean value)

    - #### setDarkupload

          public CLIENTFILETRANSFERNode setDarkupload(java.lang.String value)

    - #### bindDarkupload

          public CLIENTFILETRANSFERNode bindDarkupload(IDynamicContentBindingObject value)

    - #### setDarkupload

          public CLIENTFILETRANSFERNode setDarkupload(boolean value)

    - #### setFileextensions

          public CLIENTFILETRANSFERNode setFileextensions(java.lang.String value)

    - #### bindFileextensions

          public CLIENTFILETRANSFERNode bindFileextensions(IDynamicContentBindingObject value)

    - #### setImagereduction

          public CLIENTFILETRANSFERNode setImagereduction(java.lang.String value)

    - #### bindImagereduction

          public CLIENTFILETRANSFERNode bindImagereduction(IDynamicContentBindingObject value)

    - #### setOnerequestperfile

          public CLIENTFILETRANSFERNode setOnerequestperfile(java.lang.String value)

    - #### bindOnerequestperfile

          public CLIENTFILETRANSFERNode bindOnerequestperfile(IDynamicContentBindingObject value)

    - #### setOnerequestperfile

          public CLIENTFILETRANSFERNode setOnerequestperfile(boolean value)

    - #### setReference

          public CLIENTFILETRANSFERNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTFILETRANSFERNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTFILETRANSFERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTFILETRANSFERNode setRendered(boolean value)

    - #### setScanduration

          public CLIENTFILETRANSFERNode setScanduration(java.lang.String value)

    - #### bindScanduration

          public CLIENTFILETRANSFERNode bindScanduration(IDynamicContentBindingObject value)

    - #### setScanduration

          public CLIENTFILETRANSFERNode setScanduration(int value)

    - #### setSeparatebackupdirectories

          public CLIENTFILETRANSFERNode setSeparatebackupdirectories(java.lang.String value)

    - #### bindSeparatebackupdirectories

          public CLIENTFILETRANSFERNode bindSeparatebackupdirectories(IDynamicContentBindingObject value)

    - #### setSeparatebackupdirectories

          public CLIENTFILETRANSFERNode setSeparatebackupdirectories(boolean value)

    - #### setStylevariant

          public CLIENTFILETRANSFERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public CLIENTFILETRANSFERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTransferbackupdirectory

          public CLIENTFILETRANSFERNode setTransferbackupdirectory(java.lang.String value)

    - #### bindTransferbackupdirectory

          public CLIENTFILETRANSFERNode bindTransferbackupdirectory(IDynamicContentBindingObject value)

    - #### setTransferdirectory

          public CLIENTFILETRANSFERNode setTransferdirectory(java.lang.String value)

    - #### bindTransferdirectory

          public CLIENTFILETRANSFERNode bindTransferdirectory(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.